%define module_name Mojo-Zabbix-APP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Mojo/Zabbix.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: The application module of Mojo-Zabbix .Using to get data from zabbix data include host,items, Trigg...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OR/ORANGE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Mojo::Zabbix::APP;

    my @myzinfo = <DATA>; ##(get zabbix info from __DATA__ )

# Define for debug and traceing processe infomaition.e'.''.''.'e.O'.U'.''..'.au.''
   
   my $DEBUG=0;
   my $TRACE=0;

#my @myzinfo = ('test1 http://test1/zabbix testuser pass');
# @.'U.Oa.O'.v'.aa.I'..'.'O.'O.''.o'.''.''.'i.Y'.i'.''.ae.auzabbix .''.'..'O.'e.ae.au

  for (@myzinfo) {
    next if /^#/;
    next if /^\s*$/;
    my ( $name, $url,$user, $pass ) = split;
    print "\n$name\n";
    my $z;

    eval { $z = initZ( $url,$user,$pss ); };

    if ($@) {

        print "Error $@!\n";
 
    } else {
       
      ## Print the version of zabbix api. .''.'Ozabbix .''.'E 
       
        pVersion($z);
        
       ## Print all host lists.e' .'..''.'e.''.''.aO.'a.'...U
        
       print  getAllhost($z);

       ## Print warning info of Triggers.e'.''.'O.''.'..''.'e.''.iI.''.'U.''.dI.Y..'U
       pTriggers($z);
       
       ## Print the history data of given items, default for past 24 hours.
       ## .''.'O.O'.O'..c..E.Oo.''item.''.'B.'O.'O.''.I'.''.O'.OI.a'.O'..c..E.O'.OI.aa.Y'.'O24.O'..c.''.''
       pHitems($z);

    }
 }
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md ignore.txt example
%perl_vendor_privlib/M*

%changelog
* Mon Apr 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Mon Dec 05 2016 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Tue Nov 01 2016 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

